#ifndef _BKPlayerHUM_h_
#define _BKPlayerHUM_h_
//=============================================================================
//
//   File : BKPlayerHUM.h
//   Created on gio 08 ott 2009 15:01:34 by Iacopo Palazzi
//
//   This file is part of the BrisKola distribution
//   Copyright (C) 2009 Iacopo Palazzi <iacopo.palazzi@gmail.com>
//
//   This program is FREE software. You can redistribute it and/or
//   modify it under the terms of the GNU General Public License
//   as published by the Free Software Foundation; either version 2
//   of the License, or (at your opinion) any later version.
//
//   This program is distributed in the HOPE that it will be USEFUL,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//   See the GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with this program. If not, write to the Free Software Foundation,
//   Inc. ,59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
//=============================================================================


#include "BKPlayer.h"

///
/// \class BKPlayerHUM
/// \brief The BKPlayerHUM class
///
/// This class...
///
class BKPlayerHUM : public BKPlayer
{
	Q_OBJECT
public:

	///
	/// Creates an instance of BKPlayerCPU
	///
	BKPlayerHUM(BKPlayer::eType p_eType);

	///
	/// Destroys the instance of BKPlayerCPU
	/// and frees all the relevant resources
	///
	~BKPlayerHUM();

// ================================
// Put members declaration below...
// ================================
private:

public:

protected:


// ================================
// Put methods declaration below...
// ================================
private:

public:
	void play();
	void choosenCard(BKCard * p_pCard);
	void assignCard(BKCard * p_pCard);
	void takeCard(BKCard * p_pCard);

protected:



}; // class BKPlayerHUM

#endif //!_BKPlayerHUM_h_
