#ifndef _BKABOUT_H_
#define _BKABOUT_H_
//=============================================================================
//
//   File : BKAbout.h
//   Created on mar 06 ott 2009 14:51:56 by Iacopo Palazzi
//
//   This file is part of the BrisKola distribution
//   Copyright (C) 2009 Iacopo Palazzi <iacopo.palazzi@gmail.com>
//   Copyright (C) 2009 Gianni Sammito <giannixsammito@gmail.com>
//
//   This program is FREE software. You can redistribute it and/or
//   modify it under the terms of the GNU General Public License
//   as published by the Free Software Foundation; either version 2
//   of the License, or (at your opinion) any later version.
//
//   This program is distributed in the HOPE that it will be USEFUL,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//   See the GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with this program. If not, write to the Free Software Foundation,
//   Inc. ,59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
//=============================================================================

#include <QWidget>
#include <QDialog>

class QLabel;
class QPixmap;
class QString;
class QTabWidget;
class QVBoxLayout;
class QGridLayout;
class QHBoxLayout;
class QDialogButtonBox;

class BKAbout : public QDialog
{
	Q_OBJECT
public:
	BKAbout(QWidget * p_pParent);
	~BKAbout();

// ================================
// Put members declaration below...
// ================================
private:
	QTabWidget * m_pTabWidget;
	QWidget * m_pProject, * m_pCredits;
	QLabel * m_pLabel1, * m_pLabel2, * m_pLabel3, * m_pLabel4, * m_pLabelImage;
	QLabel * m_pLabelCreditsDev, * m_pLabelCreditsWeb, * m_pLabelCreditsOther;
	QLabel * m_pLabel_iakko, * m_pLabel_SaMMoX, * m_pLabel_ellotta, * m_pLabel_escape, * m_pLabel_burre, * m_pLabel_empty;
	QLabel * m_pLabelWebSite, * m_pLabelChanIRC;
	QLabel * m_pLabelMail_iakko, * m_pLabelMail_SaMMoX, * m_pLabelMail_ellotta, * m_pLabelMail_escape, * m_pLabelMail_burre;
	QPixmap * m_pLogo;
	QVBoxLayout * m_pVLayout;
	QVBoxLayout * m_pMainLayout;
	QHBoxLayout * m_pHeader, * m_pFooter;
	QGridLayout * m_pGridLayout;
	QDialogButtonBox * m_pButtonBox;

protected:

public:


// ================================
// Put methods declaration below...
// ================================
private:

protected:

public:

private slots:
	void sltClose();

// Class follows singleton pattern
protected:
	
public:

};

#endif //!_BKABOUT_H_
