#ifndef _BKDECK_H_
#define _BKDECK_H_
//=============================================================================
//
//   File : BKDeck.h
//   Created on mer 07 ott 2009 16:35:43 by Iacopo Palazzi
//
//   This file is part of the BrisKola distribution
//   Copyright (C) 2009 Iacopo Palazzi <iacopo.palazzi@gmail.com>
//
//   This program is FREE software. You can redistribute it and/or
//   modify it under the terms of the GNU General Public License
//   as published by the Free Software Foundation; either version 2
//   of the License, or (at your opinion) any later version.
//
//   This program is distributed in the HOPE that it will be USEFUL,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//   See the GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with this program. If not, write to the Free Software Foundation,
//   Inc. ,59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
//=============================================================================

#include "BKCard.h"

#include <stdio.h>

class BKDeck
{
protected:
	BKDeck();
	~BKDeck();

// ================================
// Put members declaration below...
// ================================
private:
	BKCard ** m_pCards;
	
protected:

public:


// ================================
// Put methods declaration below...
// ================================
private:
	void create();

protected:

public:


// Class follows singleton pattern
protected:
	static BKDeck * m_pInstance;
public:
	static BKDeck * instance() { return m_pInstance; };
	static bool init();
	static void done();

	static BKCard * getCard(unsigned int p_uiIdx) { return (p_uiIdx <= 39 && p_uiIdx >= 0) ? m_pInstance->m_pCards[p_uiIdx] : NULL; };

};

#endif //!_BKDECK_H_
