//=============================================================================
//
//   File : BKAbout.cpp
//   Created on mar 06 ott 2009 14:51:56 by Iacopo Palazzi
//
//   This file is part of the BrisKola distribution
//   Copyright (C) 2009 Iacopo Palazzi <iacopo.palazzi@gmail.com>
//   Copyright (C) 2009 Gianni Sammito <giannixsammito@gmail.com>
//
//   This program is FREE software. You can redistribute it and/or
//   modify it under the terms of the GNU General Public License
//   as published by the Free Software Foundation; either version 2
//   of the License, or (at your opinion) any later version.
//
//   This program is distributed in the HOPE that it will be USEFUL,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//   See the GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with this program. If not, write to the Free Software Foundation,
//   Inc. ,59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
//=============================================================================

#include "BKGlobal.h"

#include "BKAlertNotNewVersion.h"

#include <QLabel>
#include <QVBoxLayout>
#include <QHBoxLayout>
#include <QString>
#include <QPushButton>

BKAlertNotNewVersion::BKAlertNotNewVersion(QWidget * p_pParent)
: QMessageBox(p_pParent)
{	
	setWindowModality(Qt::WindowModal);
	setWindowTitle(QString("Non ci sono aggiornamenti"));
	
	setText(QString(trUtf8("La tua BrisKola è aggiornata all'ultima versione.")));
	
	addButton(QMessageBox::Close);
	
	setWindowIcon(QIcon(QPixmap(_STR_DIR_IMG_MISC + QString("/bkIcon.png"))));
}

BKAlertNotNewVersion::~BKAlertNotNewVersion()
{
}


// ================================
// Start putting your stuff here...
// ================================
