//=============================================================================
//
//   File : BKGameSceneItem.cpp
//   Created on mer 07 ott 2009 20:25:23 by Iacopo Palazzi
//
//   This file is part of the BrisKola distribution
//   Copyright (C) 2009 Iacopo Palazzi <iacopo.palazzi@gmail.com>
//
//   This program is FREE software. You can redistribute it and/or
//   modify it under the terms of the GNU General Public License
//   as published by the Free Software Foundation; either version 2
//   of the License, or (at your opinion) any later version.
//
//   This program is distributed in the HOPE that it will be USEFUL,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//   See the GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with this program. If not, write to the Free Software Foundation,
//   Inc. ,59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
//=============================================================================

#include "BKGameSceneItem.h"

#include <QPainter>
#include <QStyleOptionGraphicsItem>
#include <QWidget>

BKGameSceneItem::BKGameSceneItem()
	: QGraphicsPixmapItem(), QObject()
{
	m_pTransparency = 1.0;
}

BKGameSceneItem::~BKGameSceneItem()
{
}

// ================================
// Start putting your stuff here...
// ================================

void BKGameSceneItem::paint(QPainter * painter, const QStyleOptionGraphicsItem* option, QWidget* widget)
{
	painter->setOpacity(m_pTransparency);
	QGraphicsPixmapItem::paint(painter, option, widget);
	painter->setOpacity(1.0);
}

void BKGameSceneItem::clicked()
{
	
}
